module BENM8 (
  output [31:0] c,
  input  [31:0] a, b,
  input         clk);

  logic  [31:0] a_t;
  logic  [31:0] c_t;

  for (genvar g=0; g<32; ++g) begin
    always_ff @(posedge clk)
      a_t[g] <= a[g];

    always_ff @(posedge clk)
      c_t[g] <= (a_t[g] ^ a[g]) | b[g];
   
    assign c[g] = c_t[g];
  end
endmodule
