`include "CYCLE.sv"
`include "CNT_file"

module consumer (
  input int   indata,
  input logic clk);

  int         cnt;
  int         max = `CNT-5;

  always_ff @(posedge clk) begin;
    //-------------------------------------------------
    // Sanity check to make sure the test is running:
    // Display first and last indata and cnt values
    //-------------------------------------------------
    if ((cnt <5) || (cnt>max)) 
      $display("indata=%d  cnt=%d", indata, cnt);
    cnt++;
  end
endmodule
