//----------------------------------------------------------------------
// This File: tb_pkg.sv
//
// DVCon 2019 Paper Example
//
// Sunburst Design (Provo, UT):
//            cliffc@sunburst-design.com
//            www.sunburst-design.com
//----------------------------------------------------------------------
// Only include the code if it has not already been included
`ifndef TB_PKG
`define TB_PKG

`include "CYCLE.sv"

`include "uvm_macros.svh"

package tb_pkg;
  import uvm_pkg::*;

  `include "mydata.sv"
  `include "generator1.sv"
  `include "generator2.sv"

endpackage                        

`endif
