`include "CNT_file"

module top;
  import tb_pkg::*;

  logic clk;

  clkgen      cg   (.clk(clk));

  consumer    c1   (.indata(c_if.port), .clk(clk));

  consumer_if c_if (.clk(clk));

  `ifdef GEN1

  generator1 gen = new(c_if);

  `else

  generator2 gen = new(c_if);

  `endif

  initial gen.run();

  initial begin
    repeat(`CNT) @(posedge clk);
    $finish;
  end
endmodule

// Figure 6:  Example of reducing garbage collection overhead with object management 
