//----------------------------------------------------------------------
// This File: tb_cover.sv
//
// DVCon 2019 Paper Example
//
// Sunburst Design (Provo, UT):
//            cliffc@sunburst-design.com
//            www.sunburst-design.com
//----------------------------------------------------------------------

`define LCNT 250000
class tb_cover extends uvm_subscriber #(trans1);
  `uvm_component_utils(tb_cover)
  int cnt, lcnt;

  function new (string name, uvm_component parent);
    super.new(name, parent);
  endfunction

  function void write (trans1 t);
    cnt++;
    if (cnt==`LCNT) begin
      lcnt = lcnt + `LCNT;
      `uvm_info("COV", $sformatf("tb_cover connected but does nothing: cnt=%0d", lcnt), UVM_HIGH)
      cnt = 0;
    end
  endfunction
endclass
