//----------------------------------------------------------------------
// This File: tb_pkg.sv
//
// DVCon 2019 Paper Example
//
// Sunburst Design (Provo, UT):
//            cliffc@sunburst-design.com
//            www.sunburst-design.com
//----------------------------------------------------------------------
// Only include the code if it has not already been included
`ifndef TB_PKG
`define TB_PKG

`include "CNT_file"
`include "CYCLE.sv"

`include "uvm_macros.svh"

package tb_pkg;
  import uvm_pkg::*;

  `include "trans1.sv"

  `include "tb_cover.sv"
  `include "tb_driver.sv"
  `include "tb_sequencer.sv"
  `include "tb_monitor.sv"
  `include "tb_agent.sv"

  `include "env.sv"

  `include "tr_sequence.sv"

  `include "test_base.sv"
  `include "test1.sv"
endpackage                        

`endif
