//----------------------------------------------------------------------
// This File: tr_sequence.sv
//
// DVCon 2019 Paper Example
//
// Sunburst Design (Provo, UT):
//            cliffc@sunburst-design.com
//            www.sunburst-design.com
//----------------------------------------------------------------------

class tr_sequence extends uvm_sequence #(trans1);
  `uvm_object_utils(tr_sequence)

  function new (string name = "tr_sequence");
    super.new(name);
  endfunction

  task body;
    trans1 tr = trans1::type_id::create("tr");
    //---------------------------------
    repeat(`CNT) do_item(tr);
  endtask

  task do_item (trans1 tr);
    start_item(tr);
    if (!(tr.randomize()))
        `uvm_fatal("TR_S", "tr_sequence randomization failed")
    finish_item(tr);
  endtask
endclass
