// repeat-CNT value
`include "CNT_file"

module top;
  logic       clk;
  int         cnt;
  int         max = `CNT-5;
  bit [127:0] total;

  container c = new();

  initial begin
    cnt = `CNT;
    c.set_queues(.row(cnt), .col(cnt));
    c.rand_init (.row(cnt), .col(cnt), .q_depth(100));
    repeat(100) total = c.get_num;
    $display("Total entries = %0d", total);
    $finish;
  end
endmodule

// Figure 6:  Example of reducing garbage collection overhead with object management 
