class txn15;
  rand int          addr;
  rand logic [15:0] payload[$];
  rand bit    [2:0] del;

  constraint size_ct { payload.size() inside { [16:256]}; }

  constraint sort_ct { 
    foreach (payload[i]) { 
      // i must be greater than 0
      if(i) payload[i] >= payload[i-1]; 
    }
  }

  function void show_payload();
    `uvm_info("TXN15", $sformatf("payload=%p", payload), UVM_MEDIUM)
  endfunction
endclass
