class txn16;
  rand int          addr;
  rand logic [15:0] payload[$];
  rand bit    [2:0] del;

  constraint size_ct { payload.size() inside { [16:256]}; }

  function void post_randomize();
    payload.sort();
  endfunction

  function void show_payload();
    `uvm_info("TXN16", $sformatf("payload=%p", payload), UVM_MEDIUM)
  endfunction
endclass
