module BENM8 (
  output [31:0] c,
  input  [31:0] a, b,
  input         clk);

  logic  [31:0] a_t;
  logic  [31:0] c_t;

  always_ff @(posedge clk) a_t<= a;

  always_ff @(posedge clk) c_t<= (a_t^ a) | b;
   
  assign c= c_t;
endmodule
