//----------------------------------------------------------------------
// This File: trans1.sv
//
// DVCon 2019 Paper Example
//
// Sunburst Design (Provo, UT):
//            cliffc@sunburst-design.com
//            www.sunburst-design.com
//----------------------------------------------------------------------

class trans1 extends uvm_sequence_item; 
  `uvm_object_utils(trans1)
  
       logic [15:0] data1, data2;    // outputs not randomized
  rand bit   [15:0] din1,  din2;
  rand bit          rst_n;

  function new (string name="trans1");
    super.new(name);
  endfunction

  function string convert2string();
    return($sformatf("rst_n=%b  data1=%4h  data2=%4h  din1=%4h  din2=%4h",
                      rst_n,    data1,     data2,     din1,     din2));
  endfunction
endclass
